Index: Makefile
===================================================================
--- Makefile	(revision 30142)
+++ Makefile	(working copy)
@@ -231,6 +231,7 @@
 	rm -f $(TEMP)/diskusage.txt
 	rm -f $(TEMP)/all.utf
 	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
+	rm -f localudebs/Packages.gz
 	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
 	rm -rf $(TARGET)
 	rm -rf $(TEMP)
@@ -500,16 +501,21 @@
 UDEBS = $(shell set -e; get-packages udeb update >&2; pkg-list $(TYPE) "$(DRIVER_FOR)" $(KERNEL_FLAVOUR) $(KERNELMAJOR) "$(SUBARCH)" $(KERNELIMAGEVERSION)) $(EXTRAS)
 
 # Get all required udebs and put them in UDEBDIR.
-$(STAMPS)get_udebs-$(targetstring)-stamp: sources.list.udeb
+$(STAMPS)get_udebs-$(targetstring)-stamp: localudebs/Packages.gz sources.list.udeb
 	dh_testroot
 	@rm -f $@
 	get-packages udeb $(UDEBS)
 	@touch $@
 
+localudebs/Packages.gz:
+	# rebuild Packages.gz for localudebs
+	dpkg-scanpackages -u localudebs /dev/null | gzip >localudebs/Packages.gz
+
 # Auto-generate a sources.list.type
 sources.list.udeb:
 	(set -e; \
 	echo "# This file is automatically generated, edit $@.local instead."; \
+	echo "deb file:$$(pwd)/ localudebs/"; \
 	if [ "$(MIRROR)x" != "x" ]; then \
 		echo "deb $(MIRROR) $(SUITE) main/debian-installer"; \
 	else \
